## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

# prevent executables from being installed
%global cargo_install_bin 0

%global crate libbpf-cargo

Name:           rust-libbpf-cargo0.23
Version:        0.23.3
Release:        %autorelease
Summary:        Cargo plugin to build bpf programs

License:        LGPL-2.1-only OR BSD-2-Clause
URL:            https://crates.io/crates/libbpf-cargo
Source:         %{crates_source}
# * by default, test.rs expects libbpf-rs to be in the same checkout
# * fix to point to /usr/share/cargo/registry
Patch:          libbpf-cargo-fix-finding-libbpf-rs.diff
# * https://github.com/libbpf/libbpf-rs/issues/790
# * Revert the commit that refactors vmlinux.h to unshipped crate
Patch:          libbpf-cargo-revert-vmlinux-refactor.diff

BuildRequires:  cargo-rpm-macros >= 26
BuildRequires:  clang
BuildRequires:  rustfmt

%global _description %{expand:
Cargo plugin to build bpf programs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       clang
Requires:       rustfmt

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE.BSD-2-Clause
%license %{crate_instdir}/LICENSE.LGPL-2.1
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * these do not work with the reverted vmlinux.h
%cargo_test -- -- --exact --skip test::test_btf_dump_definition_struct_ops_mixed
%endif

%changelog
## START: Generated by rpmautospec
* Sat Sep 14 2024 Michel Lind <salimma@fedoraproject.org> - 0.23.3-1
- Initial package; Fixes: RHBZ#2312319
## END: Generated by rpmautospec
